# Reviewing

1. [Signing Up as a Reviewer](reviewing#sign-up)
1. [Completing a Review](reviewing#complete-review)
1. [Complete Your User Profile](reviewing#complete-user-profile)

Reviewers play a vital role in ensuring the quality of scholarly publishing. This chapter describes how to complete a review. For more detailed information, see [Learning OJS 3: Reviewing](https://docs.pkp.sfu.ca/learning-ojs/en/reviewing).

## <a name="sign-up"></a>Signing Up as a Reviewer

When you register as a user with the website, you may be asked to sign up for the reviewer role. If this has been enabled, you can add the reviewer role at any time, even if you've already registered, by going to the [User Profile](user-profile) page in the editorial backend.

You'll also be asked to specify your reviewer interests, so that editors can make better choices when selecting reviewers for a submission.

In many cases, you may have already been added into the system as a reviewer. This happens when an editor wants to invite you to review a submission but you're not yet registered in the system.

## <a name="complete-review"></a>Completing a Review

You can see if you've been assigned any reviews by going to the [Submissions](submissions) page in the editorial backend. If you see any submissions in the **My Assigned** area, you can click on the link indicating it's current stage to access the reviewer walk-through.

### <a name="complete-review-request"></a>Request

The first step requests that you accept or declin the request to perform a review. You'll find the relevant submission details as well as **due dates** for responding to the request and submitting your review.

### <a name="complete-review-guidelines"></a>Guidelines

Please read any reviewer guidelines the journal has prepared, to ensure that you're able to provide a review in the format and according to the standards desired.

### <a name="complete-review-review"></a>Download & Review

You'll find the Review Files for your to download and review on this page. Once you've evaluated the files, you'll be asked to enter your review in two text boxes.

You should put *comments intended to be shared with the author* in the first text area. The second text area is for *comments intended only for the editor*.

The editor will have access to all of your comments. But this provides you with a way to share information privately with the editor, which may not be appopriate to share with the author.

If you prepared your review in a separate file, you can instead upload that file at the bottom of the page.

### <a name="complete-review-completion"></a>Completion

You've completed your review. Thanks for your help ensuring the quality of scholarly publishing.

An editor will take a look at it and may send you an acknowledgment by email once they've done so.

A record of your reviews is kept in the system, so editors can see -- and appreciate -- how many reviews you've done for the journal at all times.

## <a name="complete-user-profile"></a>Complete Your User Profile

You can fill out more complete information about yourself if you haven't yet. This is a great way to ensure the editors have all the information they need to make great choices for reviewers. Take a look at the [User Profile](user-profile) section to learn more.
