# Website Settings

1. [Appearance](website-settings#appearance)
1. [Setup](website-settings#setup)
1. [Plugins](website-settings#plugins)

In Website Settings you can configure the appearance of and information on your reader-facing website, set up your site's languages and archiving settings, and install and enable plugins. See [Learning OJS 3: Website Settings](https://docs.pkp.sfu.ca/learning-ojs/en/settings-website) for detailed instructions. There may be additional tabs in this menu if you have enabled specific plugins, such as Static Pages or Translator.

## <a name="appearance"></a>Appearance
Here you can change the look and feel of your journal website, including upload images and select a theme.

### Theme
To change the overall design of your website, select a different theme and save. The look of the website will stay the same but the content will not change. You can easily change themes to try them out.

Some themes allow you to configure colours, but usually if you want to change fonts, colours, or minor aspects of the design you will need to upload a custom style sheet.

### Setup
Upload a logo, enter content into the bottom of your site, and drag and drop items that you want to appear or not appear on your sidebar.

### Advanced
Upload a custom CSS stylesheet and a favicon.

## <a name="setup"></a>Setup

### Information
You can add information about your journal for specific user groups that will appear as links on your sidebar if the **Information Block** is enabled under **Sidebar Management**.

### Languages
Languages that have been installed on your site by an Administrator can be enabled for the user interface (UI), forms, and submissions.
* If you check off **UI** for a language, the front and back end interface will be available in that language
* If you check off **Forms**, you will be able to fill in any forms or fields in the back end dashboard with content in that language
* If you check off **Submissions**, users will be able to make a submission in that language and submit metadata in that language
* **Primary Locale** is the language that your site will appear in first to users. If you have other languages enabled for the **User Interface** the user can select another language with the language toggle.

### Navigation Menus
Edit the existing navigation menus on your website. You can add and remove items and re-order them. You can also create custom menu items that link to pages on your site or to another website or even add a new custom menu.

### Announcements
Create announcements or announcement types to appear on your site's homepage or to be emailed to all of your readers.

## <a name="plugins"></a>Plugins
Plugins extend functionality of OJS and allow it to interact with external tools and services. Installed plugins can be enabled and configured, or you can install additional plugins from the **Plugin Gallery**.

